%define name	websvn
%define version	2.0
%define release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	PHP based web interface of Subversion repositories
Epoch:		1
License:	GPL
Group:		System/Servers
URL:		http://websvn.tigris.org/
Source:		http://websvn.tigris.org/files/documents/1380/39378/%{name}-%{version}.tar.gz
Patch0:		websvn-2.0.fhs.patch
Requires:	subversion
Requires:	apache-mod_php
Requires:	php-iconv
Requires:	php-xml
Obsoletes:	WebSVN
# webapp macros and scriptlets
Requires(post):		rpm-helper >= 0.16
Requires(postun):	rpm-helper >= 0.16
BuildRequires:	rpm-helper >= 0.16
BuildRequires:	rpm-mandriva-setup >= 1.23
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
WebSVN offers a view onto your subversion repositories that's been designed to
reflect the Subversion methodology. You can view the log of any file or
directory and see a list of all the files changed, added or deleted in any
given revision. You can also view the differences between 2 versions of a file
so as to see exactly what was changed in a particular revision.

WebSVN offers the following features:

    * Easy to use interface
    * Highly customisable templating system
    * Log message searching
    * Colourisation of file listings
    * Blame support
    * Tar ball downloads
    * Directory comparisons
    * RSS Feed support
    * Fast browsing thanks to internal caching feature
    * Apache MultiViews support
    * Support for bugtraq:properties 

%prep
%setup -q
%patch0 -p1
find . -type d -exec chmod 755 {} \;
find . -type f -exec chmod 644 {} \;

%build

%install
rm -rf %{buildroot}

install -d -m 755 %{buildroot}/var/www/%{name}
cp -pr *.php %{buildroot}/var/www/%{name}

install -d -m 755 %{buildroot}/%{_datadir}/%{name}
cp -pr include %{buildroot}/%{_datadir}/%{name}
cp -pr languages %{buildroot}/%{_datadir}/%{name}

# distribut template content
find templates -type f -a -name '*.tmpl' | \
    tar --create --files-from - --remove-files | \
    (cd %{buildroot}%{_datadir}/%{name} && tar --preserve --extract)
find templates -type f -a -not -name '*.tmpl' | \
    tar --create --files-from - --remove-files | \
    (cd %{buildroot}/var/www/%{name} && tar --preserve --extract)

install -d -m 755 %{buildroot}%{_sysconfdir}
mv %{buildroot}/%{_datadir}/%{name}/include/distconfig.php \
   %{buildroot}%{_sysconfdir}/%{name}.conf

install -d -m 755 %{buildroot}/var/cache/%{name}

# Create apache conf file
install -d -m 755 %{buildroot}%{_webappconfdir}

cat > %{buildroot}%{_webappconfdir}/%{name}.conf <<EOF
Alias /%{name} /var/www/%{name}

<Directory /var/www/%{name}>
    allow from all
</Directory>
EOF

cat > README.mdv <<EOF
Mandriva RPM specific notes

setup
-----
The setup used here differs from default one, to achieve better FHS compliance.
- the files accessibles from the web are in /var/www/websvn
- the files non accessibles from the web are in /usr/share/websvn
- generated files are in /var/cache/websvn
- the configuration file is /etc/websvn.conf
EOF

%post
%_post_webapp

%postun
%_postun_webapp

%clean
rm -rf  %{buildroot} 

%files
%defattr(-,root,root)
%doc licence.txt changes.txt
%config(noreplace) %{_sysconfdir}/%{name}.conf
%config(noreplace) %{_webappconfdir}/%{name}.conf
%{_datadir}/%{name}
/var/www/%{name}
%attr(0755,apache,apache) /var/cache/%{name}


%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1:2.0-1mdv2008.1
+ Revision: 136572
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:2.0-1mdv2008.0
+ Revision: 65298
- spec cleanup
- new version
- import websvn


* Thu Jun 29 2006 Jerome Martin <jmartin@mandriva.org> 2.0-0.rc1.4mdv2006.0
- Fix require for backport

* Mon Jun 26 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1:2.0-0.rc1.3mdv2007.0
- %%mkrel
- new webapp macros
- better EOL correction
- use heredoc for README.mdv
- fix requires

* Thu May 11 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1:2.0-0.rc1.2mdk
- more complete FHS patch

* Wed May 10 2006 Franck Villaume <fvill@mandriva.org> 1:2.0-0.rc1.1mdk
- 2.0rc1

* Fri Apr 07 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1:2.0-0.beta7.9mdk
- revert to FHS compliant setup
- split templates content between webroot and data dir
- backport compatible apache configuration file
- requires php-xml too

* Fri Mar 31 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.0-0.beta7.8mdk
- more fixes to make it work as intended

* Fri Mar 31 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.0-0.beta7.7mdk
- fix one missing absolute path in P0

* Fri Mar 24 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1:2.0-0.beta7.6mdk
- use a pristine source tarball  
- rediff fhs patch
- spec cleanup
- remove useless details in description: all webapps use the same scheme

* Fri Mar 17 2006 Franck Villaume <fvill@mandriva.org> 1:2.0-0.beta7.5mdk
- package rename

* Thu Mar 16 2006 Franck Villaume <fvill@mandriva.org> 1:2.0-0.beta7.4mdk
- sync with websvn-1.61 package from guillomovitch@mandriva.org

* Mon Nov 28 2005 Franck Villaume <fvill@mandriva.org> 1:2.0-0.beta7.3mdk
- fix bug 19966 from J.P. Pasnak <pasnak@warpedsystems.sk.ca>

* Sun Nov 13 2005 Franck Villaume <fvill@mandriva.fr> 1:2.0-0.beta7.2mdk
- fix url
  from jamagallon@able.es

* Thu Nov 10 2005 Franck Villaume <fvill@mandriva.fr> 1:2.0-0.beta7.1mdk
- new release
- versioning
- config file for apache

* Thu Sep 2 2004 Franck Villaume <fvill@freesurf.fr> 161-1mdk
- First package

